 /*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.web.client.internal.ImageClient"); //$NON-NLS-1$

dojo.require("com.ibm.team.repository.web.transport.TeamServerClient"); //$NON-NLS-1$
dojo.require("net.jazz.ajax.toolbox.lang.internal.Lang"); //$NON-NLS-1$

(function() { //module container

var TeamServerClient 		= com.ibm.team.repository.web.transport.TeamServerClient;

com.ibm.team.apt.web.client.internal.ImageClient= {

	SERVICE_URI: "com.ibm.team.workitem.common.internal.model.IImageContentService", //$NON-NLS-1$
	HOST_URI: dojo.baseUrl, 
	
	/**
	 * Access images in non-web plugins.
	 * Returns The fully qualified URL to the resource pointed to by 'path'.
	 * @param {Object} path  The path to a resource, relative to the plugin root: E.g. /<plugin-name>/icons/icon.gif
	 */
	getImageUrl: function(path) {
		return path;
	}
	
};

})();